/**
 * Semestrální práce č. 1 z KIV/VSP
 * (c) 2006 Ivan Habernal
 * habernal@students.zcu.cz
 */
package cz.habi.vsp.sem1;

/**
 * @author habi
 *
 */
public class ConsoleHistogram extends Histogram {
	private static final int SIZE = 60;
	
	
	/* (non-Javadoc)
	 * @see cz.habi.vsp.sem1.Histogram#displayResults()
	 */
	@Override
	protected void displayResults() {
		int max = findMaxValue();

		System.out.println("\nHistogram:");
		
		for (int i = 0; i < values.length; i++) {
			int current = (int) Math.round((((double) values[i] * (double) SIZE) / (double) max));; 
			System.out.print((double) i / 10d + ": ");
			printStars(current);
		}
		
	}
	
	private int findMaxValue() {
		int result = Integer.MIN_VALUE;
		
		for (int i = 0; i < values.length; i++) {
			if (values[i] > result) {
				result = values[i];
			}
		}
		
		return result;
	}
	
	private void printStars(int count) {
		for (int i = 0; i < count; i++) {
			System.out.print("*");
		}
		System.out.println("");
	}

}
